Cyberduck Mountain Duck CLI

#11415 closed feature (fixed)

Interoperability with China region

Reported by: dkocher Owned by: jmalek
Priority: normal Milestone: 7.9.0
Component: onedrive Version: 7.7.2
Severity: normal Keywords:
Cc: Architecture:
Platform:

Description

  • Microsoft 365 China OneDrive
  • Microsoft 365 China Sharepoint

Change History (9)

comment:1 Changed on Dec 11, 2020 at 10:32:33 AM by dkocher

  • Resolution set to fixed
  • Status changed from new to closed

In r50272.

comment:2 Changed on Dec 11, 2020 at 8:29:04 PM by dkocher

  • Resolution fixed deleted
  • Status changed from closed to reopened

Added support but pending testing. Please reach out if you can provide a temporary test account for interoperability testing.

comment:3 Changed on Mar 31, 2021 at 1:39:26 PM by dkocher

Fix OAuth endpoints in r50817.

comment:4 Changed on Mar 31, 2021 at 1:39:58 PM by dkocher

Fix scopes in r50815.

comment:5 Changed on Mar 31, 2021 at 2:02:34 PM by jmalek

  • Owner set to jmalek
  • Status changed from reopened to new

With temporary access to Microsoft China:

  • Update for profile required (can use /v2.0-endpoint, but requires tenant application registration) - we won't be able to provide any out-of-the-box experience here (cannot use Azure AD Global-Registration in China AAD)
    • If you have experience in China AAD and importing Global AAD App Registrations into a China AAD Tenant, please reach out to us.
  • Provide our Microsoft Global App Registration Manifest for customers to get exactly the same configuration so we can provide a simple configuration file
  • OneDrive works fine
  • Sharepoint API differs from expected Global API. Requires review.

comment:6 Changed on Apr 19, 2021 at 12:14:24 PM by dkocher

Unfortunately we are unable to signup for Microsoft Azure operated by 21Vianet.

comment:7 Changed on Apr 20, 2021 at 11:42:28 AM by dkocher

Interoperability fix in r50975.

comment:8 Changed on Apr 20, 2021 at 11:42:37 AM by dkocher

  • Milestone changed from 8.0 to 7.8.6
  • Resolution set to fixed
  • Status changed from new to closed

comment:9 Changed on Apr 29, 2021 at 5:27:41 PM by dkocher

  • Milestone changed from 7.8.6 to 7.9.0

Milestone renamed

Note: See TracTickets for help on using tickets.